src/fvm/fvm_box.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
fvm_box.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <float.h>`
`#include <limits.h>`
`#include <math.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "fvm_box.h"`
`#include "fvm_box_priv.h"`
Include dependency graph for fvm_box.c:

## Functions
fvm_box_set_t * | fvm_box_set_create (int dim, int normalize, int allow_projection, cs_lnum_t n_boxes, const cs_gnum_t *box_gnum, const cs_coord_t *box_extents)
void | fvm_box_set_destroy (fvm_box_set_t **boxes)
int | fvm_box_set_get_dim (const fvm_box_set_t *boxes)
cs_lnum_t | fvm_box_set_get_size (const fvm_box_set_t *boxes)
cs_gnum_t | fvm_box_set_get_global_size (const fvm_box_set_t *boxes)
const cs_coord_t * | fvm_box_set_get_extents (fvm_box_set_t *boxes)
const cs_gnum_t * | fvm_box_set_get_g_num (fvm_box_set_t *boxes)
void | fvm_box_set_build_morton_index (const fvm_box_set_t *boxes, fvm_box_distrib_t *distrib, cs_lnum_t n_leaves, fvm_morton_code_t *leaf_codes, cs_lnum_t *weight)
void | fvm_box_set_redistribute (const fvm_box_distrib_t *distrib, fvm_box_set_t *boxes)
void | fvm_box_set_dump (const fvm_box_set_t *boxes, int verbosity)

## Function Documentation

void fvm_box_set_build_morton_index | ( | const fvm_box_set_t * | boxes,
|  | fvm_box_distrib_t * | distrib,
|  | cs_lnum_t | n_leaves,
|  | fvm_morton_code_t * | leaf_codes,
|  | cs_lnum_t * | weight
| ) |  |

fvm_box_set_t* fvm_box_set_create | ( | int | dim,
|  | int | normalize,
|  | int | allow_projection,
|  | cs_lnum_t | n_boxes,
|  | const cs_gnum_t * | box_gnum,
|  | const cs_coord_t * | box_extents
| ) |  |

void fvm_box_set_destroy | ( | fvm_box_set_t ** | boxes | ) |

void fvm_box_set_dump | ( | const fvm_box_set_t * | boxes,
|  | int | verbosity
| ) |  |

int fvm_box_set_get_dim | ( | const fvm_box_set_t * | boxes | ) |

const cs_coord_t* fvm_box_set_get_extents | ( | fvm_box_set_t * | boxes | ) |

const cs_gnum_t* fvm_box_set_get_g_num | ( | fvm_box_set_t * | boxes | ) |

cs_gnum_t fvm_box_set_get_global_size | ( | const fvm_box_set_t * | boxes | ) |

cs_lnum_t fvm_box_set_get_size | ( | const fvm_box_set_t * | boxes | ) |

void fvm_box_set_redistribute | ( | const fvm_box_distrib_t * | distrib,
|  | fvm_box_set_t * | boxes
| ) |  |